//-----------------------------------------------------------------------------
// boost variant.hpp header file
// See http://www.boost.org for updates, documentation, and revision history.
//-----------------------------------------------------------------------------
//
// Copyright (c) 2003
// Eric Friedman, Itay Maman
//
// Distributed under the Boost Software License, Version 1.0. (See
// accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#ifndef BOOST_VARIANT_HPP
#define BOOST_VARIANT_HPP

// variant "main"
#include "_boost/variant/variant.hpp"
#include "_boost/variant/recursive_variant.hpp"
#include "_boost/variant/recursive_wrapper.hpp"

// common applications
#include "_boost/variant/get.hpp"
#include "_boost/variant/apply_visitor.hpp"
#include "_boost/variant/static_visitor.hpp"
#include "_boost/variant/visitor_ptr.hpp"

#endif // BOOST_VARIANT_HPP
